Subject: Re: [patch 0/6] s390: qeth fixes for 2.6.30

From: Frank Blaschka <[email-masked]>
Date: Wed, 25 Mar 2009 09:25:14 +0100

> Any particular reason you wait until right when the
> merge window opens to send me stuff?
> 
> I said on netdev that I wanted to empty my patchwork
> queue then submit the tree to Linus.
> 
> So then you send me more stuff on top of that? :-/
> 
> Please don't wait until the last moment next time.

Sorry, this was by accident. Next time I will send the patches
sooner.

> Applied.
> 
>> Frank Blaschka (2)
>> qeth: add statistics for tx csum
>> qeth: remove EDDP
> 
> Your EDDP was slow because the implementation was incredibly
> sub-optimal.  %90 of the code is doing copies and fiddling
> with SKB internals.

I did not wrote the EDDP code but this was my impression too. Thanks for
confirming my study. Also the filling of the hardware buffers was not
efficient and passing more buffers to the hw was expensive too.